Class | Sequel::Informix::Dataset
In: | lib/sequel/adapters/informix.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows

### Included Modules

UnsupportedIntersectExcept

### Constants

SELECT_CLAUSE_ORDER | = | %w'limit distinct columns from join where having group compounds order'.freeze

### Public Instance methods

fetch_rows(sql) {|h2| ...}

[Source]

        # File lib/sequel/adapters/informix.rb, line 45
    45:       def fetch_rows(sql, &block)
    46:         execute(sql) do |cursor|
    47:           begin
    48:             col_map = nil
    49:             cursor.open.each_hash do |h|
    50:               unless col_map
    51:                 col_map = {}
    52:                 @columns = h.keys.map{|k| col_map[k] = output_identifier(k)}
    53:               end
    54:               h2 = {}
    55:               h.each{|k,v| h2[col_map[k]||k] = v}
    56:               yield h2
    57:             end
    58:           ensure
    59:             cursor.drop
    60:           end
    61:         end
    62:         self
    63:       end

[Validate]